#ifndef HARKIO_INVALIDHARKFILE_HPP_
#define HARKIO_INVALIDHARKFILE_HPP_

#include <stdexcept>
#include <string>

/** @file InvalidHarkFile.hpp
 * @brief InvalidHarkFile exception class definition.
 */

namespace harkio2
{

/** @brief An exception for a invalid hark file.
 * An exception class which represents that an error occured while checking HarkFile.
 */
class InvalidHarkFile : public std::runtime_error
{
public:
    explicit InvalidHarkFile(const std::string& arg)
        : std::runtime_error(arg)
    {}
};

}

#endif // HARKIO_INVALIDHARKFILE_HPP_

