#include <harkio2/xmlhelper/xmlhelper.hpp>

using namespace xmlpp;

namespace harkio2
{

namespace xmlhelper
{

int GetLine(const xmlpp::TextReader& reader)
{
    if (reader.get_current_node() != 0)
    {
        return reader.get_current_node()->get_line();
    }
    return -1;
}

bool IsElement(const xmlpp::TextReader& reader, const Glib::ustring& name)
{
    return reader.get_node_type() == TextReader::Element && reader.get_name() == name;
}

bool IsElement(const xmlpp::TextReader& reader, const char* name)
{
    return reader.get_node_type() == TextReader::Element && reader.get_name() == name;
}

bool IsEndElement(const xmlpp::TextReader& reader, const Glib::ustring& name)
{
    return reader.get_node_type() == TextReader::EndElement && reader.get_name() == name;
}

bool IsEndElement(const xmlpp::TextReader& reader, const char* name)
{
    return reader.get_node_type() == TextReader::EndElement && reader.get_name() == name;
}

bool MoveToNextElement(xmlpp::TextReader& reader)
{
    while (reader.read())
    {
        if (reader.get_node_type() == TextReader::Element)
        {
            return true;
        }
    }

    return false;
}

bool FindElement(xmlpp::TextReader& reader, const Glib::ustring& name)
{
    if (IsElement(reader, name))
    {
        return true;
    }

    while (MoveToNextElement(reader))
    {
        if (IsElement(reader, name))
        {
            return true;
        }
    }

    return false;
}

} // xmlhelper
} // harkio

